
local meta = FindMetaTable( "Panel" )
if (!meta) then return end


meta.SetFGColorEx = meta.SetFGColor
meta.SetBGColorEx = meta.SetBGColor


/*---------------------------------------------------------
   Name:	SetFGColor
   Desc:	Override to make it possible to pass Color's
---------------------------------------------------------*/  
function meta:SetFGColor( r, g, b, a )

	if ( type( r ) == "table" ) then
		return self:SetFGColorEx( r.r, r.g, r.b, r.a )
	end

	return self:SetFGColorEx( r, g, b, a )

end


/*---------------------------------------------------------
   Name:	SetBGColor
   Desc:	Override to make it possible to pass Color's
---------------------------------------------------------*/  
function meta:SetBGColor( r, g, b, a )

	if ( type( r ) == "table" ) then
		return self:SetBGColorEx( r.r, r.g, r.b, r.a )
	end

	return self:SetBGColorEx( r, g, b, a )

end
